Subject: mcast address allocation & assignment Info/BCP [RE: mboned: Historic-able multicast RFCs? (fwd)]

From: Pekka Savola <[email-masked]>
Date: Fri, 6 Aug 2004 20:29:07 +0300 (EEST)

Hi,

There seemed to be some support for getting proper documentation in
place on what's the real deal with multicast address allocation and
assignment (this has to implicitly say a word or two about routing
(models) as well).

I guess I'll have to put out a rough sketch as an I-D so that we can
see whether the folks have the same thing in mind, and whether it 
looks like something worth doing.

If you'd like to contribute or review the effort before it hits -00,
send a note off-list. (This is just to ensure that the first version
should be reasonably complete and somehow structured.)

---------- Forwarded message ----------
Date: Wed, 4 Aug 2004 18:56:07 +0300 (EEST)
From: Pekka Savola <[email-masked]>
To: Dave Thaler <[email-masked]>
Cc: [email-masked]
Subject: RE: mboned: Historic-able multicast RFCs?

On Tue, 3 Aug 2004, Dave Thaler wrote:
> Can you be more specific about what in 2908 is causing problems?

Take a look at the Introduction of
draft-ietf-ipv6-link-scoped-mcast-04.txt.  Previous to that, I've
tutored a few MSc-level studies of multicast routing & addressing;  
invariably, all of them found RFC2908 and thought that the multicast
allocation & assignment processes described there were valid.

IMHO, this calls very strongly for a new IP multicast
allocation/assignment document (this was brought up with IMDOC an IETF
or two ago), making the current one Historic.

> I'm not sure Experimental protocols need to be made historic, but
> I would argue against the others, except possibly 2907 (which I 
> have no data on either way). 

How about moving some or all of them to Experimental?  Would you be 
strongly opposed to that?

> > -----Original Message-----
> > From: [email-masked] [mailto:owner-
> > [email-masked]] On Behalf Of Pekka Savola
> > Sent: Sunday, August 01, 2004 2:49 PM
> > To: [email-masked]
> > Subject: mboned: Historic-able multicast RFCs?
> > 
> > Hi,
> > 
> > When reading a draft which had a completely wrong picture of IP
> > multicast, it started to seem that we'd need to do some spring
> > cleaning, e.g., by moving some RFCs to Historic.
> > 
> > I listed a couple of possible ones below, with their category.
> > 
> > I think at least RC2908 must be made historic -- it is causing no end
> > of problems (or better yet, write a better one! :-).  I don't have a
> > strong opinion on the rest, but it seems most of the malloc WG's
> > products are more trouble than they're worth...
> > 
> > Thoughts?
> > 
> > RFC3559
> > Multicast Address Allocation MIB (PS)
> > 
> > RFC2909
> > The Multicast Address-Set Claim (MASC) Protocol (Exp)
> > 
> > RFC2908
> > The Internet Multicast Address Allocation Architecture (Info)
> > 
> > RFC2907
> > MADCAP Multicast Scope Nesting State Option (PS)
> > 
> > RFC2776
> > Multicast-Scope Zone Announcement Protocol (MZAP)  (PS)
> > 
> > RFC2771
> > An Abstract API for Multicast Address Allocation (Info)
> > 
> > RFC2730
> > Multicast Address Dynamic Client Allocation Protocol (MADCAP) (PS)
> > 
> > --
> > Pekka Savola                 "You each name yourselves king, yet the
> > Netcore Oy                    kingdom bleeds."
> > Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> > 
> > _______________________________________________________________
> > user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
> > web archive:  http://darkwing.uoregon.edu/~llynch/mboned/
> 
> _______________________________________________________________
> user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
> web archive:  http://darkwing.uoregon.edu/~llynch/mboned/
> 

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/